from fastapi import FastAPI
from app.api.endpoints import todo, health
from app.core.config import settings

app = FastAPI(
    title=settings.PROJECT_NAME,
    description="A simple Todo API",
    version="0.1.0",
)

app.include_router(todo.router, prefix=settings.API_V1_STR, tags=["todos"])
app.include_router(health.router, tags=["health"])

if __name__ == "__main__":
    import uvicorn
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)